Bug 1417567 (CVE-2017-5617) - CVE-2017-5617 svgsalamander: Server side request forgery via crafted scheme attributes
Summary: CVE-2017-5617 svgsalamander: Server side request forgery via crafted scheme a...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-5617
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1417570 1417569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 10:08 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:36 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-30 10:08:46 UTC
A vulnerability was found in the svgsalamander library. If the library is being used in a web application for processing user supplied SVG files then the app is vulnerable to SSRF.

Upstream bug:

https://github.com/blackears/svgSalamander/issues/11

Comment 1 Andrej Nemec 2017-01-30 10:09:31 UTC
Created svgsalamander tracking bugs for this issue:

Affects: fedora-all [bug 1417569]
Affects: epel-7 [bug 1417570]

Comment 2 Product Security DevOps Team 2019-06-08 03:06:36 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.